Metroid Prime 3: Corruption US on US modded Wiikey

Discussion in 'Wii - Console and Game Discussions' started by ince, Feb 23, 2008.

Feb 23, 2008
  1. ince
    OP

    ince Newbie

    hi

    sorry if this has been answered previously but can someone who knows post a quick reply to save me a bit of time searching.

    i have firmware 3.1U on my Wii. i have tried Metroid Prime 3: Corruption and when i click the channel icon it says i need to update firmware. is this safe to do or do i need to do anything to the iso before burning.
     
  2. Lloyd14

    Member Lloyd14 GBAtemp Regular

    Joined:
    May 9, 2006
    Messages:
    223
    Location:
    Iselia
    Country:
    Netherlands
    If u have a USA wii and the iso is USA then u can update, but it probably won't update cuz metroid is a pretty old game.
    IF THE ISO IS PAL OR JAP DON'T UPDATE!!
     
  3. kedest

    Member kedest GBAtemp Psycho!

    Joined:
    Feb 6, 2007
    Messages:
    3,284
    Country:
    Netherlands
    If the game is from your own region, it's safe to update.
    Even if you have the latest firmware, the upgrade may still be required. Some games contain only a small update for that specific game. The general firmware updates do not include that update, so you must still install it
     
  4. ince
    OP

    ince Newbie

    great thanks for the help guys
     
  5. light_kun

    Member light_kun GBAtemp Regular

    Joined:
    Jul 23, 2007
    Messages:
    120
    Country:
    Canada
    So its not okay to update my Wii with Mario Strikers Charged FootBall(EU) on my US modded CycloWiz?
     
  6. mr deez

    Member mr deez GBAtemp Fan

    Joined:
    Jun 17, 2007
    Messages:
    327
    Country:
    United Kingdom
    Wouldn't if I were you, although if you system update to 3.1 via the wii settings menu it'll be fine.

    As an aside, don't know why people take risks on games from other regions when the correct version for their own region is readily available?
     
  7. ince
    OP

    ince Newbie

    on a related note i have a usa Wii with 3.1U firmware and i have just got a pre burned wii chess. when i load the disc it asks for an update. is this safe on a usa wii or should i just download again and use brickblocker before trying it.
     
  8. Tweaked

    Member Tweaked GBAtemp Regular

    Joined:
    Jan 24, 2008
    Messages:
    141
    Country:
    Canada
     
  9. ince
    OP

    ince Newbie

    but Wii chess is pal and my console is USA/NTSC. is it still safe to update?
     

Share This Page